Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001615TestLinkTest Plan (builds, milestones, test assign)public2008-07-16 18:062008-11-07 19:45
ReporterSulabh 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.4 
Fixed in Version1.8 Beta 2 
Summary0001615: Displaying all test cases on selecting test suites, even after applying filters. While Assigning Test Cases.
DescriptionI applied a filter on the test suite while Assigning Test Case, after which it should display only 2 TC's in the test suite, but after clicking on the test suite name, it shows all the TC's in the Test suite.

While populating the Project tree the count in is correct but in the preview pane it show all the TC. see attached image file.

Pls. help as its making the assignment difficult.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE 7, IE 8 Beta, Firefox 3 and Firefox 2.xx
PHP VersionVersion 5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon TestLink.PNG [^] (94,520 bytes) 2008-07-16 18:06


zip file icon testSetNavigator.zip [^] (1,459 bytes) 2008-08-08 18:58

- Relationships
has duplicate 0001665closedmhavlat Ambiguous filtering in Assign Test Case Execution Module 

-  Notes
(0003808)
fman (administrator)
2008-07-16 18:40

Please give detailed steps to reproduce, without this info is not possibile to help you.
(0003810)
Sulabh (reporter)
2008-07-17 12:48

These are details of the scenario I'm doing, Should be helpful... lemme know i any other info required

--I have created 4 keyword i.e. P1, P2, P3 and P4 (for setting priority of test cases) in a Project named XYZ
--I have added 8 test cases in the Test Suite "Suite1". 2 Test cases for each priority, like 2 Tc's for P1, 2 Tc's for P2 and so on.
--I added a Plan named "Plan for July" in the project XYZ and also created Build "Kick off" in the project.
--I have added all the 8 Tc's in the the plan "Plan for July".
--Now I am assignment page. I show the Navigation menu as
    - XYZ /Plan for July (8)
        + Suite1 (8)

--Now I have selected the Keyword "P1" and clicked on the "Update" button.
--Now, It shows me the tree as

    - XYZ /Plan for July (2)
        + Suite1 (2)
--Now If I expand the "Suite1" tree, it will show me only 2 test cases under the tree, which is correct. Like this

    - XYZ /Plan for July (2)
        -Suite1 (2)
            -TC1
            -TC2

--But if I Click on the "Suite1" node, then in the right view pane it will list all the test cases, although it should show only 2 Tc's with the Keyword as "P1"

This specific problem is creating trouble for me in bulk assignment. As I just want to assign the TC's which have priority as "P1" to a user "User A" in a specific Suite
(0003876)
Sulabh (reporter)
2008-08-04 17:47

hey anyone looking into this issue, no activity on this, pls update
(0003926)
fman (administrator)
2008-08-06 16:03

use attached file, retest and give me feedback please
(0003948)
fman (administrator)
2008-08-07 23:00

seems is not working
(0003949)
Sulabh (reporter)
2008-08-08 18:45

I have done a clean install of Testlink on a machine, and replcaed the tc_exec_assignment.php under the directory "<webserver root>\testlink_1.7.4\lib\plan\", but im still getting the same problem.

It is still listing "8 TC's" in the right view pane under the "Suite 1", but in the tree navigation it is listing only 2 TC's. See the updated image.

I have also attaching the windiff image of the "tc_exec_assignment.php", after commenting the line which show the debug info and it is showing no difference apart from the update date. May be you updated the wrong file.
may be you updated the wrong patch file.
(0003950)
fman (administrator)
2008-08-08 18:57

apologize, have upload wrong file.
Please try with these and give me feedback
(0003954)
Sulabh (reporter)
2008-08-11 13:14

voila! it is working now, many thanks

- Issue History
Date Modified Username Field Change
2008-07-16 18:06 Sulabh New Issue
2008-07-16 18:06 Sulabh File Added: TestLink.PNG
2008-07-16 18:06 Sulabh Browser => IE 7, IE 8 Beta, Firefox 3 and Firefox 2.xx
2008-07-16 18:06 Sulabh PHP Version => Version 5.2.6
2008-07-16 18:40 fman Note Added: 0003808
2008-07-17 12:48 Sulabh Note Added: 0003810
2008-08-04 17:47 Sulabh Note Added: 0003876
2008-08-06 16:03 fman File Added: tc_exec_assignment.zip
2008-08-06 16:03 fman Note Added: 0003926
2008-08-06 16:45 fman Status new => resolved
2008-08-06 16:45 fman Fixed in Version => 1.8 Beta 2
2008-08-06 16:45 fman Resolution open => fixed
2008-08-06 16:45 fman Assigned To => fman
2008-08-07 23:00 fman Note Added: 0003948
2008-08-07 23:00 fman Status resolved => assigned
2008-08-08 18:45 Sulabh Note Added: 0003949
2008-08-08 18:46 Sulabh File Added: windiff.JPG
2008-08-08 18:50 Sulabh File Added: Updated.JPG
2008-08-08 18:56 fman File Deleted: Updated.JPG
2008-08-08 18:56 fman File Deleted: windiff.JPG
2008-08-08 18:56 fman File Deleted: tc_exec_assignment.zip
2008-08-08 18:57 fman File Added: testSetNavigator.zip
2008-08-08 18:57 fman Note Added: 0003950
2008-08-08 18:58 fman File Deleted: testSetNavigator.zip
2008-08-08 18:58 fman File Added: testSetNavigator.zip
2008-08-11 13:14 Sulabh Note Added: 0003954
2008-08-13 02:31 mhavlat Relationship added has duplicate 0001665
2008-08-18 20:45 fman Status assigned => resolved
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker